
local gr = love.graphics

function love.load()
	love.window.setMode(400,120,{borderless=true})
	gr.setBackgroundColor(145,125,105)
	font = love.graphics.newFont( 14 )
	gr.setFont(font)
	eyes=gr.newImage('eyes.jpg')
	closed = gr.newImage('closed.jpg')
	arrow = gr.newImage('up.png')
	quads={}
	for i=0,3 do quads[i+1]=gr.newQuad(i*230,0,230,230,920,230) end
	er={2,3,4,1}
	el={2,1,4,3}
	end

function love.draw()
	sel = select('eyes',330,60,{'N','E','S','W'})
	gr.setColor(255,255,255)
	if sel~=0 then
		gr.draw(eyes,quads[er[sel]],130,0,0,.5,.5) gr.print(sel,150,580)
		gr.draw(eyes,quads[el[sel]],130,0,0,-.5,.5) gr.print(sel,150,580)
		else
		gr.draw(closed,130,0,0,.5,.5)
		gr.draw(closed,130,0,0,-.5,.5)
		end

	end

function love.keypressed(key)
	if key == 'escape'  then love.event.push( 'quit' ) end
	end

function nextLevel( tab, cur )
	if #tab>1 then table.remove( tab, cur ) end
	return love.math.random( #tab )
	end

function select( name, x, y, tab )
	selected = 0
	radius = font:getHeight()
	Radius = radius * #tab/1.8
	an		= 2 * math.pi / #tab
	for i = 0, #tab-1 do
		ox,oy = textOffsets(tab[i+1])
		X = Radius*math.cos(an*i-math.pi/2)+x
		Y = Radius*math.sin(an*i-math.pi/2)+y
		gr.circle('line',X,Y,radius)
		gr.print(tab[i+1],X+ox,Y+oy)
		if mouseOver(X,Y,radius) then selected = i+1 end
		end
	ox,oy = textOffsets( name )
	gr.print( name, x+ox, y+oy )
	if selected ~= 0 then
		gr.setColor(0,0,0)
	gr.draw(arrow,x,y,an*selected-math.pi/2,.35,.35,arrow:getWidth()/2,arrow:getHeight()/2)
		end
	return selected
	end

function textOffsets(text)
	oy = -font:getHeight(text)/2
	ox = -font:getWidth(text)/2
	return ox,oy
	end

function mouseOver( x,y,r )
	mx, my = love.mouse.getPosition( )
	dis = math.sqrt((mx-x)^2+(my-y)^2)
	return dis<r
	end


